/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

//Ext.state.Manager.setProvider(new Ext.state.CookieProvider);
var imagesTreePanel;
Ext.onReady(function() {
    Ext.QuickTips.init();
    Ext.form.Field.prototype.msgTarget = 'side';
    
    imagesTreePanel = new Ext.ux.FileTreePanel({
        url: Ecart.baseUrl + Ecart.adminUrl + '/catalog_image/tree-panel',
        id: 'ftp',
        border: false,
        containerScroll: true,
        title: 'Product images'.l(),
        rootPath: 'product',
        rootText: 'Images'.l(),
        rootVisible: false,
        hrefPrefix: Ecart.baseUrl + '/media/',
        topMenu: true,
        autoScroll: true,
        enableProgress: false,
        enableOpen: false
    });
    
    imagesTreePanel.on('dblclick', function(node) {
        if (!node.isLeaf()) {
            return;
        }
        var path = imagesTreePanel.getPath(node);
        path = path.replace(/product/, '');
        Product.Images.addToStore(path);
    });
});