<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Community
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

$installer->run("

DROP TABLE IF EXISTS `{$installer->getTable('community_media')}`;

DROP TABLE IF EXISTS `{$installer->getTable('community_review')}`;

DROP TABLE IF EXISTS `{$installer->getTable('community_review_mark')}`;

DROP TABLE IF EXISTS `{$installer->getTable('community_review_rating')}`;

DROP TABLE IF EXISTS `{$installer->getTable('community_review_rating_title')}`;

");

Ecart::single('admin/menu')->remove('Catalog->Community');
Ecart::single('core/config_field')->remove('community');
Ecart::single('core/config_value')->remove('community');
Ecart::single('account/customer_field')->remove('nickname');
Ecart::single('admin/acl_resource')->remove('admin/community');
//Ecart::single('core/template_box')->remove('Ecart_Community_ReviewProduct');

$installer->unregisterModule('Ecart_Community');

$installer->endSetup();