/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

//Ext.onReady(function(){
   var Chart = {
        _url : Ecart.adminUrl + '/index/dash-board-chart',
        type: 'order',
        period: 'day',
        periodIndex: 1,
        init: function(url) {
            this._url = url;
        },
        get: function(){
            var movieName = 'chart';
            if (navigator.appName.indexOf("Microsoft")!= -1) {
                return window["ie_" + movieName];
            } else {
                return document[movieName];
            }
        },
        reload : function() {
            this.get().reload(
                this._url + 
                "&period=" + this.period +
                "&type=" + this.type + 
                "&periodIndex=" + this.periodIndex
            );
            return false;
        },
        changeType: function(e){
            this.type = e.id;
            this.periodIndex = 1;
            jQuery('a', jQuery('#' + e.id).parent().parent()).removeClass('active');
            jQuery('#' + e.id).addClass('active'); 
            this.reload();
            
        },
        changePeriod: function(e){
            this.period = e.id;
            this.periodIndex = 1;
            jQuery('a', jQuery('#' + e.id).parent().parent()).removeClass('active');
            jQuery('#' + e.id).addClass('active'); 
            this.reload(); 
        },
        changePeriodIndex: function(val){
            if (this.periodIndex + val > 0)
                this.periodIndex += val;
            this.reload(); 
        }
    }
//});